--選択範囲と文字列を取得
selected_pos=GetSelectedRange(-1)
select_text=GetSelectedText(-1)
next_pos = 1
out_text=""
repeat
	--{}で囲まれた部分を検索
	table_st,table_end = string.find(select_text, "(%b{})",next_pos)
	
	if table_end ~= nil then
		--{}を除いた部分を抽出
		table_text = string.sub(select_text,table_st+1,table_end-1);
		
		--開始文字から{までを出力
		out_text = out_text .. string.sub(select_text,next_pos,table_st)
		--}を次の開始文字にする
		next_pos = table_end
		--数値列から配列を作成
		data = {}
		tpos = 1
		while tpos <= string.len(table_text) do
			i,f,str = string.find(table_text, "(-?%d+)",tpos)
			if str ~= nil then
				tpos = f+1
				table.insert(data,tonumber(str))
			else
				tpos = string.len(table_text) + 1
			end
		end
		--数値列に対する処理を行う
		
		--最大値を検索
		max = 0
		for i=1,#data do
			if data[i] > max then
				max = data[i]
			end
		end
		--レンジを決定
		range = 1
		while range-1 < max do
			range = range * 2
		end
		range = range - 1
		--最小値を検索
		min = range
		for i=1,#data do
			if data[i] < min then
				min = data[i]
			end
		end
		
		--ノーマライズする
		newdata = {}
		for i=1,#data do
			value = data[i] - min
			amp = max - min
			value = value * (range / amp)
			table.insert(newdata,math.floor(value + 0.5))
		end
		
		--数値列を出力
		for i=1, #newdata do
			out_text = out_text .. tostring(newdata[i])
			if (i%16) == 0 then
				out_text = out_text .. '\r'
			else
				out_text = out_text .. '\t'
			end
		end
	else
		--{}が見つからなければ残りの文字を出力して終了
		out_text = out_text .. string.sub(select_text,next_pos)
		next_pos = selected_pos.e+1
	end
until next_pos > string.len(select_text)
InputText(-1,out_text)	--選択範囲を処理後のデータで置き換える
SetSelectedRange(-1,selected_pos.s,selected_pos.s+string.len(out_text))